Europe VIN Decode API Documentation

Welcome to Vehicle Databases API's Documentation

Europe VIN Decode

GETRate LimitedJSON Response

Overview

This API returns detailed information including VIN analysis, general information, manufacturer details, vehicle specifications, and equipment for European vehicles.

COVERAGE

This API supports EU manufacturers from year 1981 to 2026.

SUPPORT

17 digits VIN number.

HTTP Request

Endpoint

GET https://api.vehicledatabases.com/europe-vin-decode/v2/{vin}

Example — Python / Requests

Target:
Client:
import requests
response = requests.get(
    "https://api.vehicledatabases.com/europe-vin-decode/v2/{vin}",
    headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())

GET Parameters

ParameterRequiredDescription
VIN17 characters VIN Number

JSON Response

This API returns basic information about the EU vehicle.

ParameterDescription
statussuccess or error
dataProvides comprehensive vehicle information including VIN analysis, general information, manufacturer details, specifications, and standard/optional equipment.

Example Response

{
    "status": "success",
    "data": {
        "VIN": "KMHSU81C0EU287095",
        "VIN Analytics": {
            "Squish VIN": "KMHSU81C0EU",
            "Serial number": "287095"
        },
        "General Information": {
            "Make": "Hyundai",
            "Model": "Santa Fe",
            "Year": "2014",
            "Trim level": "",
            "Body style": "WAGON - 5DR 7P",
            "Engine type": "DOHC - MPI",
            "Fuel type": "GASOLINE - UNLEADED",
            "Transmission": "AUTO - 6 SPEED 2WD",
            "Vehicle class": "Mid-size SUV",
            "Vehicle type": "SUV",
            "Manufactured in": "South Korea"
        },
        "Manufacturer": {
            "Manufacturer": "Â Hyundai Korea",
            "City": "140-2 Kye-Dong Chongro-Ku",
            "Region": "[D00] MIDDLE EAST",
            "Country": "[D08] KUWAIT"
        },
        "Vehicle Specification": {
            "Body type": "WAGON - 5DR 7P",
            "Number of doors": "5",
            "Number of seats": "7",
            "Displacement SI": "2400",
            "Displacement CID": "",
            "Displacement nominal": "2.20",
            "Engine valves": 4,
            "Engine cylinders": "",
            "Engine horsepower": 200,
            "Engine kilowatts": 147,
            "Driveline": "LHD",
            "Anti-lock braking system": ""
        }
    }
}

Error Responses

error
status

When an error occurs, the API returns an error status with a code and message.

CodeDescriptionResolution
400No Record(s) were found.Verify the VIN is correct or not.
401Invalid API x-authkey.Provide a valid API x-authkey.
404API endpoint not foundCheck the API endpoint URL.
429Rate limit exceededReduce request frequency to comply with rate limits.